<?php
/*
Template Name: Archiv / Oh Eight
*/
?>

<?php get_header(); ?>

<?php /* Counts the posts, comments and categories on your blog */
	$numposts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_status = 'publish'");
	if (0 < $numposts) $numposts = number_format($numposts); 
	
	$numcomms = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '1'");
	if (0 < $numcomms) $numcomms = number_format($numcomms);
	
	$numcats = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->categories");
	if (0 < $numcats) $numcats = number_format($numcats);
?>

<div id="area51">

<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>

	<div class="post">
	<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
	<p>Das ist die Hauptseite des Archivs. Derzeit gibt es <?php echo $numposts; ?> Beitr&auml;ge und <?php echo $numcomms; ?> Kommentare die sich in <?php echo $numcats; ?> Kategorien aufteilen.</p>
	<p>Hier kannst du das Archiv anhand der Beitr&auml;ge, Chronologisch oder Kategorisch durchsuchen. <del>Suchst du was besimmtes empfiehlt sich die Suchfunktion</del>.</p>
	<p>Ist ja nur zum gucken, gell ;)</p>

<ul id="oldNotchList">
	<li>
		<?php srg_clean_archives(); ?><br />

		<h3 class="archiv-listing2">Chronology</h3>
		<ul class="monats-archiv">
		<?php wp_get_archives('type=monthly&show_post_count=1'); ?>
		</ul>

		<br class="break" />

		<h3 class="archiv-listing2">Category</h3>
		<ul class="monats-archiv">
		<?php wp_list_cats('sort_column=name&optioncount=1'); ?>
		</ul>

		<br class="break" />
	</li>
</ul>


	</div>

<?php endwhile; ?>

<?php else : ?>

	<h2>404 - The page that you are looking for cannot be found</h2>
	<div class="post">
	<p>You could take a look at the <a href="<?php echo get_settings('home'); ?>/archiv/" title="Archives">Archives</a> or go back to <a href="<?php echo get_settings('home'); ?>" title="Homepage">Homepage</a> .</p>
	<p>&nbsp;</p>
	</div>

<?php endif; ?>

</div>

<?php //include 'a_footer.php'; ?>

<?php get_footer(); ?>
